package com.cidat.proclets;

public class SetTemplatePageProclet implements Proclet {
	String templatePathExpr;

	public SetTemplatePageProclet(String templatePathExpr) {
		this.templatePathExpr = templatePathExpr;
	}

	public void process(ProcletServiceData sd) throws ProcletException {
		sd.clearRedirect();
		sd.templatePageExpr = ((this.templatePathExpr == null)
				|| (this.templatePathExpr.length() == 0) ? null : sd
				.evalExpr(this.templatePathExpr));
	}
}

/*
 * Location:
 * D:\svn\ejie\q53.trunk\codigo\q53\q53ItourbaskWar\WebContent\WEB-INF\
 * lib\proclets_wl81.jar Qualified Name:
 * com.cidat.proclets.SetTemplatePageProclet JD-Core Version: 0.6.0
 */